Skip to main content
GET
/
modelruns
/
{modelrun_id}
Retrieve a model run
curl --request GET \
  --url https://app.gomangrove.com/api/v1/modelruns/{modelrun_id} \
  --header 'Authorization: <api-key>'
{
  "id": 1,
  "start_time": "2025-01-01T00:00:00.000Z",
  "end_time": "2025-03-31T23:59:59.000Z",
  "state": "complete",
  "error_message": null,
  "created_at": "2025-01-15T10:00:00.000Z",
  "updated_at": "2025-01-15T10:00:00.000Z",
  "calculations": [
    {
      "id": 1,
      "name": "Net Carbon Removal",
      "value": 100.5,
      "unit": "t",
      "ghg": true,
      "lca_role": "output",
      "category": "removal"
    }
  ],
  "output_data_points": [
    {
      "id": "in_abc123",
      "slug": "net-carbon-removal",
      "data_point_type": "Net Carbon Removal",
      "value": 100.5,
      "unit": "t",
      "status": "complete"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

modelrun_id
integer
required

Model run ID

Response

200

id
integer
start_time
string<date-time>
end_time
string<date-time>
state
string
error_message
string | null
created_at
string<date-time>
updated_at
string<date-time>
calculations
object[]
output_data_points
object[]